const babel = require('@babel/core');
const fs = require('fs');
const path = require('path');
const defaultOptions = require('@talend/scripts-config-babel/.babelrc.json');
const UglifyJS = require('uglify-js');

const src = fs.readFileSync(path.join(__dirname, '../src/inject.js'), 'utf-8');

function getLib() {
	return babel.transformSync(src, defaultOptions).code;
}

function getMinified() {
	const lib = getLib();
	const result = UglifyJS.minify(lib);
	if (result.error) {
		console.error(result.error);
	}
	return result.code;
}

module.exports = {
	src,
	getLib,
	getMinified,
};
